.container-case::-webkit-scrollbar {
  /* display: none; */
}

.container-case-main .midde_cont {
  height: calc(100vh - 64px);
}

.container-case-main .midde_cont .container-fluid {
  height: inherit;
  display: flex;
  flex-direction: column;
}

.container-case-main .container-fluid .row {
  flex-grow: 1;
}

.container-case-main .container-fluid .row .col-md-5 {
  height: 100%;
}

.container-case-main .container-fluid .row .col-md-7 {
  height: 100%;
}

.container-case-main .container-fluid .row .col-md-7 .col-md-12 {
  /* height: 100%; */
}

.container-fluid .row .col-md-7 .col-md-12 .white_shd {
  height: 99%;
}

.container-fluid .row .col-md-7 .col-md-12 .white_shd .messages-wrapper {
  /* height: % */
}

.ellipsis-header-case {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 100%;
}

.hidden-overflow-case {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.no-change-textarea {
  resize: none;
  overflow-y: auto;
}

.container-no-attachment {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 120px;
  flex-direction: column;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.container-no-attachment-dragging {
  border: 1px dashed rgb(62, 62, 230) !important;
}

/* Đặt cho thẻ span */
.span-no-attachment {
  text-align: center;
}

.modal-header-f18 {
  font-size: 18px;
  color: #000;
  line-height: normal;
  font-weight: 700 !important;
  text-transform: uppercase;
}

.show-more {
  font-weight: 600;
  cursor: pointer;
}

.font-weight-bold-black {
  color: #000;
  font-weight: 700 !important;
}

.table-td-product-pl-5 {
  padding-left: 5px;
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}

.table-td-product-pl-6 {
  padding-left: 6px;
}

.table-td-product-height {
  height: 49px;
}

.modal-header-review {
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-title-review {
  text-align: center;
  width: 100%;
}

.modal-footer-review {
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-button-review {
  width: 120px;
}

.align-center-case {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

/* .btn {
    margin-top: 10px;
} */

/* Style cho container của dropdown */
.dropdown-custom {
  position: relative;
  display: inline-block;
}

.size-16 {
  font-size: 16px;
  cursor: pointer;
}

/* Style cho menu dropdown */
.popup-menu-custom {
  display: none;
  position: absolute;
  background-color: #ffffff;
  min-width: 160px;
  box-shadow: 0 4px 9px 5px rgba(0, 0, 0, 0.2);
  z-index: 1;
  right: 0;
  border-radius: 5px;
}

.popup-menu-custom.show {
  display: block;
}

.menu-item-custom {
  color: #58718a;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  white-space: nowrap;
}

/* Style cho item khi hover hoặc focus */
.menu-item-custom:hover,
.menu-item-custom:focus {
  background-color: #f1f1f1;
}

.icon-rate-small {
  width: 32px;
  margin-left: 2px;
}

.icon-rate {
  width: 48px;
  margin-left: 6px;
}

.icon-rate {
  position: relative;
  display: inline-block;
  margin: 0 15px;
  cursor: pointer;
  /* filter: grayscale(100%); */
}

.send-message-button {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
}

.send-message-button:focus {
  outline: none;
}

.icon-button {
  background: none;
  border: none;
  padding: 0 10px 0 10px;
  /* Điều chỉnh giá trị padding để phù hợp */
  cursor: pointer;
}

.icon-button:focus {
  outline: none;
}

.icon-rate:hover {
  filter: grayscale(1%);
}

.tooltip-text1 {
  display: none;
  position: absolute;
  z-index: 1;
  bottom: -30px;
  left: 85%;
  transform: translateX(-50%);
  white-space: nowrap;
  font-weight: 700;
  color: #49b27e;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  transition: all 0.3s ease;
}

.tooltip-text2 {
  display: none;
  position: absolute;
  z-index: 1;
  bottom: -30px;
  left: 85%;
  transform: translateX(-50%);
  white-space: nowrap;
  font-weight: 700;
  color: #75c364;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  transition: all 0.3s ease;
}

.tooltip-text3 {
  display: none;
  position: absolute;
  z-index: 1;
  bottom: -30px;
  left: 85%;
  transform: translateX(-50%);
  white-space: nowrap;
  font-weight: 700;
  color: #e9a440;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  transition: all 0.3s ease;
}

.tooltip-text4 {
  display: none;
  position: absolute;
  z-index: 1;
  bottom: -30px;
  left: 85%;
  transform: translateX(-50%);
  white-space: nowrap;
  font-weight: 700;
  color: #e75544;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  transition: all 0.3s ease;
}

.tooltip-text5 {
  display: none;
  position: absolute;
  z-index: 1;
  bottom: -30px;
  left: 85%;
  transform: translateX(-50%);
  white-space: nowrap;
  font-weight: 700;
  color: #ec1d24;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  transition: all 0.3s ease;
}

.icon-rate:hover .tooltip-text1 {
  display: block;
}

.icon-rate:hover .tooltip-text2 {
  display: block;
}

.icon-rate:hover .tooltip-text3 {
  display: block;
}

.icon-rate:hover .tooltip-text4 {
  display: block;
}

.icon-rate:hover .tooltip-text5 {
  display: block;
}

.icon-rate-selected .tooltip-text1 {
  display: block;
}

.icon-rate-selected .tooltip-text2 {
  display: block;
}

.icon-rate-selected .tooltip-text3 {
  display: block;
}

.icon-rate-selected .tooltip-text4 {
  display: block;
}

.icon-rate-selected .tooltip-text5 {
  display: block;
}

.btn-rate {
  background-color: #0971b8;
  width: 100px;
  color: #fff;
  border-radius: 8px;
}

.status_label {
  color: #0971b8;
  font-weight: 600;
  text-transform: uppercase;
  padding-left: 10px;
  font-style: normal;
}

.card-block {
  height: 100%;
  padding: 0 0px 5px 10px;
  /* box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); */
}

.card-block-message {
  height: 100%;
  padding: 0 0px 5px 10px;
  /* box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); */
}

.padding_infor_info_case_add {
  padding: 0px 0px 5px 0px;
  float: left;
  width: 100%;
  min-height: 77.5vh;
}

.padding_infor_info_case_detail {
  padding: 0px 0px 0px 0px;
  float: left;
  width: 100%;
  /* min-height: 77.6vh */
}

.hr-case {
  margin-top: 5px;
  margin-bottom: 5px;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.hr-message {
  margin-top: 0px;
  margin-bottom: 0px;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.description {
  background: none !important;
  border: 0;
}

.des-textarea .form-control:focus {
  color: #495057;
  background-color: #fff;
  border-color: #cfd4da;
  outline: 0;
  box-shadow: 0 0 0 0.2rem rgba(255, 255, 255, 0.25);
}

/* .description:focus  {
    color: #495057;
    background-color: #fff;
    border-color: none !important;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25);
} */
.padding_infor_info_case_non {
  padding: 0px 0px 5px 0px;
  float: left;
  width: 100%;
  min-height: 83.6vh;
}

.card {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-radius: 0;
}

.input-search-cus table td,
.table th {
  padding: 0.2rem;
  vertical-align: middle;
  border-top: 1px solid #dee2e6;
}

.full-test {
  display: flex;
  justify-content: space-between;
}

.graph_head_cus .heading1 {
  float: left;
  padding: 0;
  width: 100%;
}

.min-h-58 {
  min-height: 58px;
}

.graph_head_cus {
  padding: 5px 15px 5px;
  float: left;

  width: 100%;
  border-bottom: solid #dee2e6 1px;
}

.white_shd {
  background: #fff;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.05);
  border-radius: 8px;
  margin-top: 0;
  border: 1px solid #d0d0d0;
}

.box-shadow {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
}

.input-search {
  border-radius: 8px;
}

.input-search .form-control {
  border-radius: 8px;
}

.search-container {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  margin-bottom: 5px;
}

.search-input {
  width: 100%;
  padding: 10px 10px 10px 10px;
  font-size: 14px;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  outline: none;
  background-color: #fff;
  /* background-image: url('path_to_search_icon.png');  */
  background-repeat: no-repeat;
  background-position: 10px center;
  background-size: 16px 16px;
}

.search-input::placeholder {
  color: #aaa;
}

.search-input:focus {
  border-color: #66afe9;
  box-shadow: 0 0 8px rgba(102, 175, 233, 0.6);
}

.color_icon_plus {
  color: #0066cc;
}

.color_angle-down {
  color: rgba(0, 0, 0, 0.05);
}

.size-14 {
  font-size: 14px;
}

.lable_add {
  font-weight: 600;
  font-size: 14px;
  color: #0971b8;
  text-transform: uppercase;
}

.line-case {
  border-bottom: 1px dashed #ddd;
}

.box-case {
  width: 100%;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 10px;
  background-color: #fff;
  /* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); */
  margin: 0px;
  margin-top: 10px;
  cursor: pointer;
}

element.style {
}

.padding_infor_info_case_add h5 {
  font-size: 14px;
  color: #000;
  line-height: 21px;
  font-weight: 600;
  text-transform: none;
  margin-bottom: 5px;
}

.box-case h4 {
  font-size: 14px;
  color: #000;
  line-height: 21px;
  font-weight: 600;
  text-transform: none;
  margin-bottom: 5px;
}

.case-detail h4 {
  font-size: 14px;
  color: #000;
  line-height: 21px;
  font-weight: 600;
  text-transform: none;
  margin-bottom: 5px;
}

.case-detail h5 {
  font-size: 14px;
  font-weight: 700;
  /* padding-left: 5px; */
  text-transform: uppercase;
  margin: 0;
  line-height: normal;
  /* color: #4dd591; */
  color: #000;
}

.box-case p {
  margin-bottom: 5px;
}

.container-case .selected {
  border: 1px solid #0971b8;
}

.sort-case {
}

.container-case {
  margin-top: 5px;
  /* height: 646px; */

  max-height: 71.5vh;
  border-radius: 4px;
  padding: 0 5px 5px 5px;
  overflow-y: auto;
  /* background-color: #fff; */
  box-shadow: 0px 0px 3px 1px rgba(0, 0, 0, 0.1);
}

.scaled-hover-target {
  display: none;
}

.box-case:hover .scaled-hover-target {
  display: block;
}

.cross-hide {
  display: none;
}

.card-body:hover .cross-hide {
  display: block;
}

.pointer {
  cursor: pointer;
}

.scaled-hover-target {
  transition: ease-in-out 0.25s;
}

.scaled-hover:hover .scaled-hover-target {
  transform: scale(1.1);
}

/* PROCESSING CIRCLE FADEIN */
img[class="scaled-hover-target"] {
  animation-name: fadeIn;
  animation-duration: 2s;
  opacity: 1;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }
}

.icon-hover:hover .scaled-hover-target {
  transform: scale(1.1);
}

.icon-disable {
  pointer-events: "none";
  opacity: 0.4;
  cursor: not-allowed;
}

.card-block-message h5 {
  font-size: 14px;
  font-weight: 700;
  /* padding-left: 5px; */
  text-transform: uppercase;
  margin: 0;
  line-height: normal;
  /* color: #4dd591; */
  color: #000;
}

.card-block h5 {
  font-size: 14px;
  font-weight: 700;
  /* padding-left: 5px; */
  text-transform: none;
  margin: 0;
  line-height: normal;
  /* color: #4dd591; */
  color: #000;
}

.hidden-title {
  display: none;
}

.card-header {
  padding: 10px 15px;
  margin-bottom: 0;
  background-color: rgba(0, 0, 0, 0.03);
  border-bottom: 1px solid rgba(0, 0, 0, 0.125);
}

.margin-bottom-1 {
  margin-bottom: 1px;
}

.info-case {
  padding-left: 5px;
  padding-right: 5px;
  overflow-y: auto;
  overflow-x: hidden;
  /* height: 500px; */
}

.image-row {
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.image-icon {
  /* margin-top: 10px;
    height: 200px;
    max-width: 400px;
    margin-right: 8px; */

  width: 100%;
  /* height: 180px; */
  height: 120px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 1px solid #ced4da;
  border-radius: 4px;
  position: relative;
  padding-left: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-right: 10px;
  overflow: hidden;
}

.modal-body h5 {
  font-size: 14px;
  font-weight: 700;
  /* padding-left: 5px; */
  text-transform: none;
  margin: 0;
  line-height: normal;
  /* color: #4dd591; */
  color: #000;
}

.image-icon:last-child {
  margin-right: 0;
}

.title-suggest {
  color: #0971b8;
  font-size: 14px;
  font-weight: bold;
  text-transform: none;
  margin: 0;
}

.content-suggest {
  color: #0971b8;
  font-size: 14px;
  font-weight: 400;
  /* text-transform: uppercase; */
  margin: 0;
}

.icon-add-production {
  color: #0971b8;
}

.arrow_box {
  color: black;
  height: 25px;
  padding: 0 5px 0 5px;
  margin-top: 5px;
}

.custom-tooltip-chart {
  background-color: #fff;
  border: 1px solid #ced4da;
  padding: 10px;
  border-bottom: none;
}

#sidebar ul li a {
  padding: 15px 25px 15px 10px;
  display: block;
  font-size: 14px;
  color: black;
  font-weight: 300;
}

#sidebar ul.components ul li a {
  font-size: 13px;
  /* color: rgba(255, 255, 255, .7); */
  padding: 7px 20px;
}

#sidebar ul.components ul li a:hover {
  /* padding: 7px 25px !important; */
}

.child-item {
  /* padding-left: 0px; */
  /* background-color: #4f5861; */
}

.child-link {
  font-size: 0.9em;
}

.child-icon {
  font-size: 18px;
}

.child-list {
  margin-top: 5px;
  border-left: 2px solid #6c747c;
}

.margin-bottom-0 {
  margin-bottom: 0;
}

.btn-search-statis {
  color: #e9e1e1;
  background-color: #1e75cb;
}

.block-statis {
  background-color: #dbdbdb;
  border-radius: 4px;
  margin-top: 5px;
  margin-bottom: 5px;
  padding: 10px 20px 10px 20px;
  margin-left: 10px;
  margin-right: 10px;
}

.add-case {
  padding-left: 15px;
  padding-bottom: 15px;
  padding-top: 0px;
  padding-right: 15px;
  overflow-y: auto;
  overflow-x: hidden;
}

.field-case {
  margin-top: 5px;
  margin-bottom: 5px;
}

.type-file {
  font-size: 12px;
  color: #555;
  margin-top: 4px;
  font-family: "Arial", sans-serif;
}

/* Ẩn input file mặc định */
.custom-file-upload {
  display: inline-block;
  padding: 6px 12px;
  cursor: pointer;
  background-color: #f8f8f8;
  border: 1px dashed #ccc;
  color: #000;
  border-radius: 4px;
  font-size: 12px;
  text-align: center;
  margin-bottom: 10px;
  width: auto;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
}

.custom-file-upload:hover {
  background-color: #e8e8e8;
}

.upload-container-case {
  width: 100%;
  /* height: 180px; */
  height: 120px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 1px solid #ced4da;
  border-radius: 4px;
  position: relative;
  /* padding-left: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 10px; */
  overflow: hidden;
}

/* .upload-container-case img {
    width: auto;
    height: 100%;
    min-width: 100%;
    max-width: none;
    object-fit: cover;
} */

#sidebar ul.components {
  padding: 0 0 15px 0 !important;
  margin: 0;
  float: left;
  width: 100%;
}

/* Message */
/* Cơ bản cho cả hai bong bóng */
.bg-message {
  background-color: #d8d9d5;
}

.message-container {
  max-width: 335px;
  min-width: 225px;
  border-radius: 15px;
  padding: 10px;
  margin: 10px;
  position: relative;
}

.message-container p {
  word-wrap: break-word;
  /* Đảm bảo từ có thể gãy xuống hàng */
  overflow-wrap: break-word;
  /* Có thể thay thế cho word-wrap */
  max-width: 100%;
  color: #081c36;
}

/* Đặc biệt cho tin nhắn gửi đi */
.sent {
  background-color: #e5efff;
  color: white;
  align-self: flex-end;
  /* Đẩy bong bóng sang phải */
}

/* Đặc biệt cho tin nhắn nhận được */
.received {
  background-color: #ffffff;
  color: black;
  align-self: flex-start;
  /* Đẩy bong bóng sang trái */
}

/* Khung chứa cả hai loại bong bóng */
.messages-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  /* height: 300px; */
  /* height: 625px; */
  overflow: auto;
}

.messages-wrapper::-webkit-scrollbar {
  /* display: none; */
}

/* Ẩn thanh cuộn cho Firefox */
.messages-wrapper {
  /* scrollbar-width: none; */
  /* Firefox */
}

/* Thời gian gửi/nhận */
.message-timestamp {
  font-size: 12px;
  color: #476285;
  text-align: right;
}

/* Đối với mũi tên của bong bóng */
.message-container::before {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
}

/* Mũi tên cho tin nhắn gửi đi */
.sent::before {
  /* border-right: 10px solid #007bff; */
  left: 100%;
  top: 50%;
  transform: translate(0, -50%);
}

/* Mũi tên cho tin nhắn nhận được */
.received::before {
  /* border-left: 10px solid #e9ecef; */
  right: 100%;
  top: 50%;
  transform: translate(0, -50%);
}

.fa-disabled {
  opacity: 0.6;
  cursor: not-allowed;
}

/* Điều chỉnh cho hình ảnh trong tin nhắn */
.message-image {
  width: 100px;
  /* height: 100px; */
  border-radius: 10px;
  margin-bottom: 5px;

  margin-right: 5px;
}

/* Điều chỉnh cho hình ảnh trong tin nhắn */
.message-image-user {
  margin-bottom: 5px;
  font-weight: 600;
  color: #7589a3;
}

.message-image img {
  vertical-align: middle;
  border-style: none;
}

.image-responsive-modal {
  max-width: "calc(100% - 40px)";
  max-height: "calc(100% - 10px)";
  object-fit: "contain";
  border-radius: "8px";
  cursor: "pointer";
}

/* Chat */
.img-zoom {
  transition: transform 0.5s ease;
}

.img-zoom:hover {
  transform: scale(1.5);
}

.img-magnifier-container {
  position: relative;
}

.img-magnifier-lens {
  position: absolute;
  border: 3px solid #000;
  borderradius: 50%;
  cursor: none;
  /* Size of the lens: */
  width: 100px;
  height: 100px;
}

.chat-input-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px;
  /* border: 1px solid #ccc; */
  /* border-radius: 20px; */
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  background-color: #fff;
  /* box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1); */
  /* margin: 10px; */
}

/* .chat-input {
    flex-grow: 1;
    border: none;
    padding: 10px;
    margin-right: 10px;
    border-radius: 15px;
    outline: none;
} */
.media-container {
  display: flex;
  flex-wrap: wrap;
  gap: 0px;
  /* Khoảng cách giữa các items */
}

.message-image {
  flex: 1;
  /* Các items sẽ chia sẻ không gian đều nhau */
  /* max-width: 100px;   */
  height: auto;
  /* Duy trì tỷ lệ */
}

.video-container {
  position: relative;
  display: inline-block;
  /* max-width: 100px; */
  padding-right: 5px;
}

.video-container video {
  width: 100%;
  /* Điều chỉnh video để vừa với container */
  display: block;
  /* Loại bỏ khoảng trống dưới video */
}

.video-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 5px;
  bottom: 5px;
  background: rgba(0, 0, 0, 0.5);
  /* Màu nền mờ đen */
  z-index: 1;
  border-radius: 10px;
}

.icon-technical {
  color: #38ef93;
}

.video-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  /* Icon sẽ nằm trên lớp phủ */
}

.apexcharts-canvas {
  position: relative;
  user-select: auto !important;
}

.size-20 {
  font-size: 20px;
}

.chat-input-container {
  position: relative;
}

.custom-placeholder-bg {
  background-color: #d0d0d0;
}

.custom-placeholder {
  position: absolute;
  top: 15px;
  left: 15px;
  color: grey;
  pointer-events: none;
  z-index: 6;
}

.chat-input {
  position: relative;
  z-index: 2;
  /* Các kiểu khác cho textarea */
}

.chat-input {
  flex-grow: 1;
  border: none;
  padding: 10px;
  margin-right: 10px;
  border-radius: 15px;
  outline: none;
  overflow-y: auto;
  resize: none;
  min-height: 40px;
  max-height: 95px;
  /* Để hiển thị hai hàng */
}

.chat-send-button {
  background-color: transparent;
  border: none;
  cursor: pointer;
  padding: 5px 10px;
}

.chat-send-button img {
  height: 20px;
  width: 20px;
}

.message-image-preview {
  width: 100%;

  max-width: 150px;

  border-radius: 15px;

  margin-bottom: 10px;
}

.selected-images-container {
  display: flex;
  flex-wrap: wrap;
  margin-top: 5px;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 5px;
  justify-content: start;
  height: 60px;
  overflow-x: auto;

  /* Or 'space-around' for even spacing */
}

.selected-image-wrapper {
  position: relative;
  margin: 5px;
}

.selected-image-wrapper-add {
  position: relative;
  margin: 5px;
}

.selected-image {
  width: 50px;
  /* Or your preferred size */
  height: 50px;
  object-fit: cover;
  border-radius: 10px;
}

.remove-image {
  position: absolute;
  top: -5px;
  right: -10px;
  background: #7589a3;
  color: #fff;
  border: none;
  border-radius: 50%;
  width: 16px;
  height: 16px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
  font-size: 12px;
  line-height: 16px;
}

.remove-image:hover {
  background: #3670bb;
}

.size-15 {
  font-size: 15px;
}

.video-duration {
  background-color: rgba(0, 0, 0, 0.7);
  color: white;
  padding: 5px 10px;
  border-radius: 5px;
  position: absolute;
  bottom: 0px;
  /* right: -54px; */
  width: 50px;
  font-size: 0.8rem;
  user-select: none;
}

.icon-close-message {
  color: red;
}

.video-duration-chat {
  background-color: rgba(0, 0, 0, 0.7);
  color: white;
  padding: 5px 10px;
  border-radius: 5px;
  position: absolute;
  bottom: 50px;
  right: 90px;
  width: 50px;
  font-size: 0.8rem;
}

.upload-container-case-add {
  width: 100%;
  height: 120px;
  /* Chiều cao cố định để chứa khoảng 2 dòng, tùy chỉnh giá trị này để phù hợp với kích thước thực tế của các hình ảnh */
  display: flex;
  flex-direction: row;
  /* Đặt hướng của các item là hàng ngang */
  flex-wrap: wrap;
  /* Cho phép các items chuyển xuống hàng mới */
  align-items: flex-start;
  /* Căn các items ở đầu container */
  justify-content: flex-start;
  /* Căn các items từ bên trái */
  border: 1px solid #ced4da;
  border-radius: 4px;
  position: relative;
  padding: 5px;
  overflow-x: hidden;
  /* Ẩn thanh cuộn ngang */
  overflow-y: auto;
  /* Cho phép cuộn dọc nếu các items vượt quá chiều cao của container */
}

.selected-image-wrapper-add {
  position: relative;
  margin: 5px;
  flex: 0 0 auto;
  /* Đảm bảo rằng các items không co giãn */
}

.selected-images-container-add {
  display: flex;
  flex-direction: row;
  /* Các item sắp xếp theo hàng ngang */
  flex-wrap: wrap;
  /* Cho phép các items chuyển xuống hàng mới */
  width: 100%;
  /* Đảm bảo container chiếm toàn bộ chiều rộng của phần tử cha */
  /* padding-bottom: 5px; */

  border: 1px solid #cad0d6;
}

.selected-image-add {
  width: 50px;

  height: 50px;

  object-fit: cover;

  border-radius: 10px;
}

.selected-image-list {
  /* height: 100px; */
  height: 16vh;
  object-fit: cover;
  border-radius: 10px;
  /* margin-right: 2px; */
}

/* 
.set-img {
    width: 27vh !important;
    height: 27vh !important;
    object-fit: cover;
    border-radius: 10px;
    margin-right: 2px;
} */

.image-detail {
  /* display: flex;
    justify-content: center;
    align-items: center;
    height: 400px; 
    width: 400px; 
    background-color: #f0f0f0;  */

  width: 100%;
  /* height: 180px; */
  height: 120px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 1px solid #ced4da;
  border-radius: 4px;
  position: relative;
  overflow: hidden;
  background-color: #f0f0f0;
}

.view-image-detail {
  /* max-width: 100%;
    max-height: 100%;
    object-fit: contain;  */

  /* width: 100%; 
        height: auto;  */

  max-width: calc(100% - 40px);
  max-height: calc(100% - 10px);
  object-fit: contain;
  border-radius: 8px;
  cursor: pointer;
}
.view-image-detail.unknown {
  max-width: unset !important;
  max-height: unset !important;
  width: 100%;
}

.carousel {
  margin-left: 15%;
  margin-right: 15%;
}

ul.slides {
  display: block;
  position: relative;
  height: 600px;
  margin: 0;
  padding: 0;
  overflow: hidden;
  list-style: none;
}

.slides * {
  user-select: none;
  -ms-user-select: none;
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -webkit-touch-callout: none;
}

ul.slides input {
  display: none;
}

.slide-container {
  display: block;
}

.slide-image {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  opacity: 0;
  transition: all 0.7s ease-in-out;
}

.slide-image img {
  width: auto;
  min-width: 100%;
  height: 100%;
}

.carousel-controls {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 999;
  font-size: 100px;
  line-height: 600px;
  color: #fff;
}

.carousel-controls label {
  display: none;
  position: absolute;
  padding: 0 20px;
  opacity: 0;
  transition: opacity 0.2s;
  cursor: pointer;
}

.slide-image:hover + .carousel-controls label {
  opacity: 0.5;
}

.carousel-controls label:hover {
  opacity: 1;
}

.carousel-controls .prev-slide {
  width: 49%;
  text-align: left;
  left: 0;
}

.carousel-controls .next-slide {
  width: 49%;
  text-align: right;
  right: 0;
}

.carousel-dots {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 20px;
  z-index: 999;
  text-align: center;
}

.carousel-dots .carousel-dot {
  display: inline-block;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: #fff;
  opacity: 0.5;
  margin: 10px;
}

input:checked + .slide-container .slide-image {
  opacity: 1;
  transform: scale(1);
  transition: opacity 1s ease-in-out;
}

input:checked + .slide-container .carousel-controls label {
  display: block;
}

input#img-1:checked ~ .carousel-dots label#img-dot-1,
input#img-2:checked ~ .carousel-dots label#img-dot-2,
input#img-3:checked ~ .carousel-dots label#img-dot-3,
input#img-4:checked ~ .carousel-dots label#img-dot-4,
input#img-5:checked ~ .carousel-dots label#img-dot-5,
input#img-6:checked ~ .carousel-dots label#img-dot-6 {
  opacity: 1;
}

input:checked + .slide-container .nav label {
  display: block;
}

.dragging {
  border: 1px dashed blue;
  background-color: #f9f9f9;
  opacity: 0.5;
  /* Làm mờ textarea */
  overflow-y: hidden;
}

.remove-image-case {
  position: absolute;
  top: 2px;
  right: 2px;
  background: #7589a3;
  color: #fff;
  border: none;
  border-radius: 50%;
  width: 16px;
  height: 16px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
  font-size: 12px;
  line-height: 16px;
}

.remove-image-case:hover {
  background: #3670bb;
}

.custom-context-menu {
  background-color: #ffffff;
  border: 1px solid #ddd;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  border-radius: 4px;
  padding: 8px 0;
  /* width: 200px;  */
  width: 150px;
  z-index: 1000;
}

.custom-context-menu ul {
  list-style: none;
  /* Loại bỏ bullet points */
  margin: 0;
  /* Loại bỏ margin mặc định */
  padding: 0;
  /* Loại bỏ padding mặc định */
}

.custom-context-menu li {
  padding: 8px 16px;
  /* Padding cho mỗi mục */
  cursor: pointer;
  /* Cursor dạng pointer để chỉ ra có thể click */
  display: flex;
  /* Sử dụng flexbox để căn chỉnh icon và text */
  align-items: center;
  /* Căn giữa các mục theo chiều dọc */
}

.custom-context-menu li:hover {
  background-color: #f7f7f7;
  /* Màu nền khi hover */
}

.custom-context-menu li:active {
  background-color: #efefef;
  /* Màu nền khi active */
}

.custom-context-menu li:not(:last-child) {
  border-bottom: 1px solid #ddd;
  /* Viền dưới cho mỗi mục trừ mục cuối cùng */
}

.custom-context-menu li span {
  margin-left: 8px;
  /* Khoảng cách giữa icon và text */
}

/* Định hình container chứa tab bar */
.custom-tab-container {
  display: flex;
  /* justify-content: center; */
  background: #f0f0f0;
  /* Màu nền sẽ là màu xám nhạt */
  border-bottom: 1px solid #ccc;
}

/* Định hình cho từng tab */
.custom-tab {
  padding: 10px 30px;
  text-transform: uppercase;
  font-weight: bold;
  cursor: pointer;
  border: none;
  color: #000;
  background-color: transparent;
  transition:
    background-color 0.2s,
    color 0.2s;
}

/* Hiệu ứng khi di chuột qua tab */
.custom-tab:hover {
  background-color: #e7e2e2;
}

/* Hiệu ứng cho tab đang hoạt động */
.custom-tab-active {
  background-color: #ffffff;
}

/* Thêm CSS để điều chỉnh kích thước hình ảnh trong modal */

.modal-body .image-responsive {
  max-width: 100%;
  max-height: 70vh;
  /* Giới hạn chiều cao tối đa của hình ảnh */
  object-fit: contain;
  /* Đảm bảo hình ảnh không bị biến dạng */
}

.modal-open-no-overflow-y {
  overflow-y: hidden !important;
}

.file-container {
  display: flex;
  align-items: center;
  padding: 10px;
  border-radius: 5px;
  width: 100%;
  /* Đảm bảo rằng container sử dụng toàn bộ chiều ngang có thể */
}

.file-icon img {
  width: 30px;
  margin-right: 10px;
}

.file-name {
  color: #333;
  flex-grow: 1;

  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  word-wrap: break-word;
}

.shorten-filename {
  color: #333;
}

.file-download-btn {
  background: #d7d7d7;
  border-radius: 5px;
  border: none;
  cursor: pointer;
}

.file-download-btn img {
  width: 26px;
  padding-left: 2px;
}

.search-date-container {
  display: flex;
  justify-content: space-between;
  margin: 0;
}

.search-date-container .date-input {
  flex: 1;
  margin-left: 5px;
  padding: 2px 4px 3px 4px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 14px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
  width: 125px;
}

.search-date-container .date-input:hover {
  border-color: #888;
}

.search-date-container .date-input:focus {
  outline: none;
  border-color: #555;
}

.span-option {
  color: #0d49b8;
  font-size: 24px;
  background-color: #e9ecef;
  padding: 5px;
  border-radius: 5px;
  cursor: pointer;
}

.dropdown-submenu {
  position: relative;
}

.dropdown-submenu > .dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -6px;
  margin-left: -1px;
  -webkit-border-radius: 0 6px 6px 6px;
  -moz-border-radius: 0 6px 6px;
  border-radius: 0 6px 6px 6px;
}

.dropdown-submenu:hover > .dropdown-menu {
  display: block;
}

.dropdown-submenu > span:after {
  display: block;
  content: " ";
  float: right;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
  border-width: 5px 0 5px 5px;
  border-left-color: #ccc;
  margin-top: 5px;
  margin-right: -10px;
}

.dropdown-submenu:hover > a:after {
  border-left-color: #fff;
}

.dropdown-submenu.pull-left {
  float: none;
}

.dropdown-submenu.pull-left > .dropdown-menu {
  left: -100%;
  margin-left: 10px;
  -webkit-border-radius: 6px 0 6px 6px;
  -moz-border-radius: 6px 0 6px 6px;
  border-radius: 6px 0 6px 6px;
}

.dropdown-submenu {
  position: relative;
}

.dropdown-submenu a::after {
  transform: rotate(0deg);
  position: absolute;
  right: 30px;
  top: 1.46em;
}

.dropdown-submenu .dropdown-menu {
  top: 0;
  left: 100%;
  margin-left: 0.1rem;
  margin-right: 0.1rem;
}

.dropdown-submenu-left > .dropdown-menu {
  left: -100%;
  top: 0;
  margin: 0;
  padding: 0;
  right: 100%;
}

.first-sub-menu {
  width: 12rem;
  left: -122% !important;
}

.dropdown-cus .dropdown-toggle::after {
}
.modal-dialog.modal-70w {
  max-width: 70% !important;
}
.modal-dialog.modal-90w {
  max-width: 90% !important;
}
